
Smart Proxy - Feature #36833

New PXE loader "Grub2 UEFI SecureBoot (target OS)"

10/16/2023 07:04 AM - Markus Reisner

Status: Ready For Testing   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/877

  

Description

This feature consists of two patches, one for foreman and one for smart-proxy.

This patch introduces a new loader of kind `:PXEGrub2TargetOS` which allows to provide host-specific Network Bootstrap Programs

(NPB) in order to enable network based installations for SecureBoot-enabled hosts.

SecureBoot expects to follow a chain of trust from the start of the host to the loading of Linux kernel modules. The very first shim that

is loaded basically determines which distribution is allowed to be booted

or kexec'ed until next reboot.

The existing "Grub2 UEFI SecureBoot" is not sufficient as it limits the possible installations to the vendor of the Foreman (Smart

Proxy) host system.

Providing shim and GRUB2 by the vendor of the to-be-installed operating system allows Foreman to install any operating system on

SecureBoot-enabled hosts over network.

To achieve this, the host's DHCP filename option is set to a shim path in a directory that is host-specific (contains MAC address).

Corresponding shim and GRUB2 binaries are copied into that directory along with the generated GRUB2 configuration files as we

know from "Grub2 UEFI".

The required binaries must be provided once in the so called "bootloader universe". This directory can be configured via the settings

file `/etc/foreman-proxy/settings.d/tftp.yml` and defaults to `/usr/local/share/bootloader-universe/<os>/`. These binaries can be

manually retrieved from the installation media and is not part of this patch set.

Related issues:

Related to Foreman - Feature #36834: New PXE loader "Grub2 UEFI SecureBoot (t... Ready For Testing

Related to Installer - Feature #36940: New PXE loader "Grub2 UEFI SecureBoot ... Ready For Testing

History

#1 - 10/16/2023 07:11 AM - Markus Reisner

- Description updated

#2 - 10/16/2023 07:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/877 added

#3 - 11/23/2023 09:55 AM - Markus Reisner

- Related to Feature #36834: New PXE loader "Grub2 UEFI SecureBoot (target OS)" added

#4 - 11/23/2023 10:01 AM - Markus Reisner

- Related to Feature #36940: New PXE loader "Grub2 UEFI SecureBoot (target OS)" added
